function [LB,UB] = PriorBounds(IntX,SCS)

% -------------------------------------------------------------------------
% Shape Constrained Splines toolbox - PriorBounds.m
%
% This function provides lower and upper bounds to the prior belief
% function over the parameter set
%
% Syntax:
%   [LB,UB] = PriorBounds(IntX,SCS)
%
% Inputs:
%   IntX    :   Interval specification for feasible set
%   SCS     :   Structure describing the Shape Constrained Spline function
%
% Outputs:
%   LB      :   Lower bound
%   UB      :   Upper bound
%
% -------------------------------------------------------------------------
% Latest version: Kris Villez, 2013-05-14
% -------------------------------------------------------------------------

% -------------------------------------------------------------------------
% Copyright 2012-2013 Kris Villez
%
% This file is part of the SCS Toolbox for Matlab/Octave. 
% 
% The SCS Toolbox is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by the
% Free Software Foundation, either version 3 of the License, or (at your
% option) any later version.
% 
% The SCS Toolbox is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
% Public License for more details.
% 
% You should have received a copy of the GNU General Public License along
% with the SCS Toolbox. If not, see <http://www.gnu.org/licenses/>.  
% -------------------------------------------------------------------------

LB = 0 ;
UB = 0 ;
